# Interface TwinfinityThinEngineExtensions

Twinfinity extension methods for BabylonJS `ThinEngine`.

interface TwinfinityThinEngineExtensions {
getRenderSizeToRef(dst: ISize): ISize;
}

##### Index

### Methods

getRenderSizeToRef

## Methods

### getRenderSizeToRef

- getRenderSizeToRef(dst: ISize): ISize

  Writes current engine render size to the specified parameter and returns it. Same as calling `ThinEngine.getRenderWidth()` and `ThinEngine.getRenderHeight`.

  #### Parameters

  - dst: ISize

    render size written here.

  #### Returns ISize

  `dst` parameter.